import java.io.IOException;
import java.io.PrintWriter;

import javax.annotation.Resource;
import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.transaction.NotSupportedException;
import javax.transaction.SystemException;
import javax.transaction.UserTransaction;

public class MyServlet extends HttpServlet {
  @EJB
  HelloService hello;

  @Resource
  UserTransaction tx;

  public void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    response.setContentType("text/html");

    PrintWriter out = response.getWriter();
    out.println("<body>");
    out.println("<html>");
    out.println("<head><title>TITLE </title></head><body>");

    // try {

    // service = (HelloService) new
    // InitialContext().lookup("java:comp/env/ejb/HelloService");
    // service = (HelloService) new
    // InitialContext().lookup("HelloService/Local");
    // } catch (Exception e) {
    // throw new ServletException(e);
    // }

    hello = new HelloServiceBean();

    try {
      tx.begin();
      hello.doAction();
      tx.commit();
    } catch (Exception e) {
    }
    out.println("saved:");
    
    out.println("</body></html>");
  }

  public void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    doGet(request, response);
  }

}